Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyAlgorithm.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyAlgorithm.cs	(revision 5899)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyAlgorithm.cs	(revision 5900)
@@ -25,8 +25,10 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("Empty Algorithm", "A dummy algorithm which serves as a placeholder and cannot be executed.")]
   [StorableClass]
+  [NonDiscoverableType]
   public sealed class EmptyAlgorithm : HeuristicLab.Optimization.Algorithm {
     private string exceptionMessage;
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyEvaluator.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyEvaluator.cs	(revision 5899)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyEvaluator.cs	(revision 5900)
@@ -26,8 +26,10 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("EmptyEvaluator", "A dummy evaluator which throws an exception when executed.")]
   [StorableClass]
+  [NonDiscoverableType]
   public sealed class EmptyEvaluator : Operator, IEvaluator {
     private string exceptionMessage;
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveEvaluator.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveEvaluator.cs	(revision 5899)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveEvaluator.cs	(revision 5900)
@@ -28,8 +28,10 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("EmptyMultiObjectiveEvaluator", "A dummy multi-objective evaluator which throws an exception when executed.")]
   [StorableClass]
+  [NonDiscoverableType]
   public sealed class EmptyMultiObjectiveEvaluator : Operator, IMultiObjectiveEvaluator {
     private string exceptionMessage;
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveProblem.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveProblem.cs	(revision 5899)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveProblem.cs	(revision 5900)
@@ -24,9 +24,11 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("Empty Multi-Objective Problem", "A dummy multi-objective problem which serves as a placeholder and cannot be solved.")]
   [StorableClass]
-  public sealed class EmptyMultiObjectiveProblem : MultiObjectiveProblem<EmptyMultiObjectiveEvaluator, EmptySolutionCreator> {
+  [NonDiscoverableType]
+  public sealed class EmptyMultiObjectiveProblem : MultiObjectiveHeuristicOptimizationProblem<EmptyMultiObjectiveEvaluator, EmptySolutionCreator> {
     public override bool CanChangeName {
       get { return false; }
@@ -39,14 +41,6 @@
     private EmptyMultiObjectiveProblem(bool deserializing) : base(deserializing) { }
     private EmptyMultiObjectiveProblem(EmptyMultiObjectiveProblem original, Cloner cloner) : base(original, cloner) { }
-    public EmptyMultiObjectiveProblem()
-      : base() {
-      SolutionCreator = new EmptySolutionCreator();
-      Evaluator = new EmptyMultiObjectiveEvaluator();
-    }
-    public EmptyMultiObjectiveProblem(string exceptionMessage)
-      : base() {
-      SolutionCreator = new EmptySolutionCreator(exceptionMessage);
-      Evaluator = new EmptyMultiObjectiveEvaluator(exceptionMessage);
-    }
+    public EmptyMultiObjectiveProblem() : base(new EmptyMultiObjectiveEvaluator(), new EmptySolutionCreator()) { }
+    public EmptyMultiObjectiveProblem(string exceptionMessage) : base(new EmptyMultiObjectiveEvaluator(exceptionMessage), new EmptySolutionCreator(exceptionMessage)) { }
 
     public override IDeepCloneable Clone(Cloner cloner) {
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyProblem.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyProblem.cs	(revision 5899)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyProblem.cs	(revision 5900)
@@ -24,9 +24,11 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("Empty Problem", "A dummy problem which serves as a placeholder and cannot be solved.")]
   [StorableClass]
-  public sealed class EmptyProblem : Problem<EmptyEvaluator, EmptySolutionCreator> {
+  [NonDiscoverableType]
+  public sealed class EmptyProblem : HeuristicOptimizationProblem<EmptyEvaluator, EmptySolutionCreator> {
     public override bool CanChangeName {
       get { return false; }
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveEvaluator.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveEvaluator.cs	(revision 5899)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveEvaluator.cs	(revision 5900)
@@ -27,8 +27,10 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("EmptySingleObjectiveEvaluator", "A dummy single-objective evaluator which throws an exception when executed.")]
   [StorableClass]
+  [NonDiscoverableType]
   public sealed class EmptySingleObjectiveEvaluator : Operator, ISingleObjectiveEvaluator {
     private string exceptionMessage;
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveProblem.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveProblem.cs	(revision 5899)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveProblem.cs	(revision 5900)
@@ -24,9 +24,11 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("Empty Single-Objective Problem", "A dummy single-objective problem which serves as a placeholder and cannot be solved.")]
   [StorableClass]
-  public sealed class EmptySingleObjectiveProblem : SingleObjectiveProblem<EmptySingleObjectiveEvaluator, EmptySolutionCreator> {
+  [NonDiscoverableType]
+  public sealed class EmptySingleObjectiveProblem : SingleObjectiveHeuristicOptimizationProblem<EmptySingleObjectiveEvaluator, EmptySolutionCreator> {
     public override bool CanChangeName {
       get { return false; }
@@ -39,14 +41,6 @@
     private EmptySingleObjectiveProblem(bool deserializing) : base(deserializing) { }
     private EmptySingleObjectiveProblem(EmptySingleObjectiveProblem original, Cloner cloner) : base(original, cloner) { }
-    public EmptySingleObjectiveProblem()
-      : base() {
-      SolutionCreator = new EmptySolutionCreator();
-      Evaluator = new EmptySingleObjectiveEvaluator();
-    }
-    public EmptySingleObjectiveProblem(string exceptionMessage)
-      : base() {
-      SolutionCreator = new EmptySolutionCreator(exceptionMessage);
-      Evaluator = new EmptySingleObjectiveEvaluator(exceptionMessage);
-    }
+    public EmptySingleObjectiveProblem() : base(new EmptySingleObjectiveEvaluator(), new EmptySolutionCreator()) { }
+    public EmptySingleObjectiveProblem(string exceptionMessage) : base(new EmptySingleObjectiveEvaluator(exceptionMessage), new EmptySolutionCreator(exceptionMessage)) { }
 
     public override IDeepCloneable Clone(Cloner cloner) {
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySolutionCreator.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySolutionCreator.cs	(revision 5899)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySolutionCreator.cs	(revision 5900)
@@ -26,8 +26,10 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("EmptySolutionCreator", "A dummy solution creator which throws an exception when executed.")]
   [StorableClass]
+  [NonDiscoverableType]
   public sealed class EmptySolutionCreator : Operator, ISolutionCreator {
     private string exceptionMessage;
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/ItemWrapper.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/ItemWrapper.cs	(revision 5899)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/ItemWrapper.cs	(revision 5900)
@@ -25,8 +25,10 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("ItemWrapper", "A wrapper which wraps an IItem.")]
   [StorableClass]
+  [NonDiscoverableType]
   public class ItemWrapper<T> : IItem where T : class, IItem {
     private T wrappedItem;
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/MultiObjectiveOKBProblem.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/MultiObjectiveOKBProblem.cs	(revision 5899)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/MultiObjectiveOKBProblem.cs	(revision 5900)
@@ -30,12 +30,12 @@
   [Creatable("Optimization Knowledge Base (OKB)")]
   [StorableClass]
-  public sealed class MultiObjectiveOKBProblem : OKBProblem, IMultiObjectiveProblem, IStorableContent {
+  public sealed class MultiObjectiveOKBProblem : OKBProblem, IMultiObjectiveHeuristicOptimizationProblem, IStorableContent {
     public string Filename { get; set; }
 
     public override Type ProblemType {
-      get { return typeof(IMultiObjectiveProblem); }
+      get { return typeof(IMultiObjectiveHeuristicOptimizationProblem); }
     }
-    public new IMultiObjectiveProblem Problem {
-      get { return base.Problem as IMultiObjectiveProblem; }
+    public new IMultiObjectiveHeuristicOptimizationProblem Problem {
+      get { return base.Problem as IMultiObjectiveHeuristicOptimizationProblem; }
     }
     public IParameter MaximizationParameter {
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/NamedItemWrapper.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/NamedItemWrapper.cs	(revision 5899)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/NamedItemWrapper.cs	(revision 5900)
@@ -24,8 +24,10 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("NamedItemWrapper", "A wrapper which wraps an INamedItem.")]
   [StorableClass]
+  [NonDiscoverableType]
   public class NamedItemWrapper<T> : ItemWrapper<T>, INamedItem where T : class, INamedItem {
     protected override T WrappedItem {
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBProblem.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBProblem.cs	(revision 5899)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBProblem.cs	(revision 5900)
@@ -33,7 +33,7 @@
   [Item("OKB Problem", "A base class for problems which are stored in the OKB.")]
   [StorableClass]
-  public abstract class OKBProblem : Item, IProblem {
+  public abstract class OKBProblem : Item, IHeuristicOptimizationProblem {
     public virtual Type ProblemType {
-      get { return typeof(IProblem); }
+      get { return typeof(IHeuristicOptimizationProblem); }
     }
     private long problemId;
@@ -41,6 +41,6 @@
       get { return problemId; }
     }
-    private IProblem problem;
-    protected IProblem Problem {
+    private IHeuristicOptimizationProblem problem;
+    protected IHeuristicOptimizationProblem Problem {
       get { return problem; }
       private set {
@@ -114,5 +114,5 @@
     }
     [Storable(Name = "Problem")]
-    private IProblem StorableProblem {
+    private IHeuristicOptimizationProblem StorableProblem {
       get { return problem; }
       set {
@@ -131,5 +131,5 @@
       RegisterProblemEvents();
     }
-    protected OKBProblem(IProblem initialProblem)
+    protected OKBProblem(IHeuristicOptimizationProblem initialProblem)
       : base() {
       if (initialProblem == null) throw new ArgumentNullException("initialProblem", "Initial problem cannot be null.");
@@ -141,8 +141,8 @@
     public void Load(long problemId) {
       if (this.problemId != problemId) {
-        IProblem problem;
+        IHeuristicOptimizationProblem problem;
         byte[] problemData = RunCreationClient.GetProblemData(problemId);
         using (MemoryStream stream = new MemoryStream(problemData)) {
-          problem = XmlParser.Deserialize<IProblem>(stream);
+          problem = XmlParser.Deserialize<IHeuristicOptimizationProblem>(stream);
         }
         if (ProblemType.IsAssignableFrom(problem.GetType())) {
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/SingleObjectiveOKBProblem.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/SingleObjectiveOKBProblem.cs	(revision 5899)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/SingleObjectiveOKBProblem.cs	(revision 5900)
@@ -30,12 +30,12 @@
   [Creatable("Optimization Knowledge Base (OKB)")]
   [StorableClass]
-  public sealed class SingleObjectiveOKBProblem : OKBProblem, ISingleObjectiveProblem, IStorableContent {
+  public sealed class SingleObjectiveOKBProblem : OKBProblem, ISingleObjectiveHeuristicOptimizationProblem, IStorableContent {
     public string Filename { get; set; }
 
     public override Type ProblemType {
-      get { return typeof(ISingleObjectiveProblem); }
+      get { return typeof(ISingleObjectiveHeuristicOptimizationProblem); }
     }
-    public new ISingleObjectiveProblem Problem {
-      get { return base.Problem as ISingleObjectiveProblem; }
+    public new ISingleObjectiveHeuristicOptimizationProblem Problem {
+      get { return base.Problem as ISingleObjectiveHeuristicOptimizationProblem; }
     }
     public IParameter BestKnownQualityParameter {
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/Views/OKBAlgorithmView.Designer.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/Views/OKBAlgorithmView.Designer.cs	(revision 5899)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/Views/OKBAlgorithmView.Designer.cs	(revision 5900)
@@ -71,5 +71,5 @@
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
       this.nameTextBox.Location = new System.Drawing.Point(72, 29);
-      this.nameTextBox.Size = new System.Drawing.Size(607, 20);
+      this.nameTextBox.Size = new System.Drawing.Size(577, 20);
       this.nameTextBox.TabIndex = 5;
       // 
@@ -79,14 +79,8 @@
       this.nameLabel.TabIndex = 4;
       // 
-      // descriptionLabel
-      // 
-      this.descriptionLabel.Location = new System.Drawing.Point(3, 58);
-      this.descriptionLabel.TabIndex = 6;
-      // 
-      // descriptionTextBox
-      // 
-      this.descriptionTextBox.Location = new System.Drawing.Point(72, 55);
-      this.descriptionTextBox.Size = new System.Drawing.Size(607, 20);
-      this.descriptionTextBox.TabIndex = 7;
+      // infoLabel
+      // 
+      this.infoLabel.Location = new System.Drawing.Point(659, 32);
+      this.infoLabel.TabIndex = 6;
       // 
       // tabControl
@@ -100,9 +94,9 @@
       this.tabControl.Controls.Add(this.resultsTabPage);
       this.tabControl.Controls.Add(this.runsTabPage);
-      this.tabControl.Location = new System.Drawing.Point(0, 81);
+      this.tabControl.Location = new System.Drawing.Point(0, 55);
       this.tabControl.Name = "tabControl";
       this.tabControl.SelectedIndex = 0;
-      this.tabControl.Size = new System.Drawing.Size(679, 371);
-      this.tabControl.TabIndex = 8;
+      this.tabControl.Size = new System.Drawing.Size(679, 397);
+      this.tabControl.TabIndex = 7;
       // 
       // problemTabPage
@@ -115,5 +109,5 @@
       this.problemTabPage.Name = "problemTabPage";
       this.problemTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.problemTabPage.Size = new System.Drawing.Size(671, 345);
+      this.problemTabPage.Size = new System.Drawing.Size(671, 371);
       this.problemTabPage.TabIndex = 0;
       this.problemTabPage.Text = "Problem";
@@ -134,5 +128,5 @@
       this.problemViewHost.Name = "problemViewHost";
       this.problemViewHost.ReadOnly = false;
-      this.problemViewHost.Size = new System.Drawing.Size(659, 303);
+      this.problemViewHost.Size = new System.Drawing.Size(659, 329);
       this.problemViewHost.TabIndex = 3;
       this.problemViewHost.ViewsLabelVisible = true;
@@ -257,5 +251,5 @@
       this.startButton.Name = "startButton";
       this.startButton.Size = new System.Drawing.Size(24, 24);
-      this.startButton.TabIndex = 9;
+      this.startButton.TabIndex = 8;
       this.toolTip.SetToolTip(this.startButton, "Start/Resume Algorithm");
       this.startButton.UseVisualStyleBackColor = true;
@@ -269,5 +263,5 @@
       this.pauseButton.Name = "pauseButton";
       this.pauseButton.Size = new System.Drawing.Size(24, 24);
-      this.pauseButton.TabIndex = 10;
+      this.pauseButton.TabIndex = 9;
       this.toolTip.SetToolTip(this.pauseButton, "Pause Algorithm");
       this.pauseButton.UseVisualStyleBackColor = true;
@@ -281,5 +275,5 @@
       this.resetButton.Name = "resetButton";
       this.resetButton.Size = new System.Drawing.Size(24, 24);
-      this.resetButton.TabIndex = 12;
+      this.resetButton.TabIndex = 11;
       this.toolTip.SetToolTip(this.resetButton, "Reset Algorithm");
       this.resetButton.UseVisualStyleBackColor = true;
@@ -293,5 +287,5 @@
       this.executionTimeLabel.Name = "executionTimeLabel";
       this.executionTimeLabel.Size = new System.Drawing.Size(83, 13);
-      this.executionTimeLabel.TabIndex = 13;
+      this.executionTimeLabel.TabIndex = 12;
       this.executionTimeLabel.Text = "&Execution Time:";
       // 
@@ -303,5 +297,5 @@
       this.executionTimeTextBox.ReadOnly = true;
       this.executionTimeTextBox.Size = new System.Drawing.Size(137, 20);
-      this.executionTimeTextBox.TabIndex = 14;
+      this.executionTimeTextBox.TabIndex = 13;
       // 
       // openFileDialog
@@ -319,5 +313,5 @@
       this.stopButton.Name = "stopButton";
       this.stopButton.Size = new System.Drawing.Size(24, 24);
-      this.stopButton.TabIndex = 11;
+      this.stopButton.TabIndex = 10;
       this.toolTip.SetToolTip(this.stopButton, "Stop Algorithm");
       this.stopButton.UseVisualStyleBackColor = true;
@@ -386,11 +380,10 @@
       this.Name = "OKBAlgorithmView";
       this.Size = new System.Drawing.Size(679, 482);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
       this.Controls.SetChildIndex(this.resetButton, 0);
       this.Controls.SetChildIndex(this.stopButton, 0);
       this.Controls.SetChildIndex(this.executionTimeLabel, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
       this.Controls.SetChildIndex(this.executionTimeTextBox, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
       this.Controls.SetChildIndex(this.pauseButton, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/Views/OKBProblemView.Designer.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/Views/OKBProblemView.Designer.cs	(revision 5899)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/RunCreation/Views/OKBProblemView.Designer.cs	(revision 5900)
@@ -53,15 +53,4 @@
       this.SuspendLayout();
       // 
-      // parameterCollectionView
-      // 
-      this.parameterCollectionView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.parameterCollectionView.Content = null;
-      this.parameterCollectionView.Location = new System.Drawing.Point(0, 79);
-      this.parameterCollectionView.Name = "parameterCollectionView";
-      this.parameterCollectionView.Size = new System.Drawing.Size(706, 314);
-      this.parameterCollectionView.TabIndex = 8;
-      // 
       // nameTextBox
       // 
@@ -69,5 +58,5 @@
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
       this.nameTextBox.Location = new System.Drawing.Point(72, 27);
-      this.nameTextBox.Size = new System.Drawing.Size(634, 20);
+      this.nameTextBox.Size = new System.Drawing.Size(604, 20);
       this.nameTextBox.TabIndex = 5;
       // 
@@ -77,14 +66,8 @@
       this.nameLabel.TabIndex = 4;
       // 
-      // descriptionLabel
+      // infoLabel
       // 
-      this.descriptionLabel.Location = new System.Drawing.Point(3, 56);
-      this.descriptionLabel.TabIndex = 6;
-      // 
-      // descriptionTextBox
-      // 
-      this.descriptionTextBox.Location = new System.Drawing.Point(72, 53);
-      this.descriptionTextBox.Size = new System.Drawing.Size(634, 20);
-      this.descriptionTextBox.TabIndex = 7;
+      this.infoLabel.Location = new System.Drawing.Point(687, 30);
+      this.infoLabel.TabIndex = 6;
       // 
       // problemComboBox
@@ -133,4 +116,17 @@
       this.cloneProblemButton.Click += new System.EventHandler(this.cloneProblemButton_Click);
       // 
+      // parameterCollectionView
+      // 
+      this.parameterCollectionView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.parameterCollectionView.Caption = "ParameterCollection View";
+      this.parameterCollectionView.Content = null;
+      this.parameterCollectionView.Location = new System.Drawing.Point(0, 53);
+      this.parameterCollectionView.Name = "parameterCollectionView";
+      this.parameterCollectionView.ReadOnly = false;
+      this.parameterCollectionView.Size = new System.Drawing.Size(706, 340);
+      this.parameterCollectionView.TabIndex = 7;
+      // 
       // OKBProblemView
       // 
@@ -138,8 +134,8 @@
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
       this.Controls.Add(this.problemComboBox);
+      this.Controls.Add(this.parameterCollectionView);
       this.Controls.Add(this.problemLabel);
       this.Controls.Add(this.cloneProblemButton);
       this.Controls.Add(this.refreshButton);
-      this.Controls.Add(this.parameterCollectionView);
       this.Name = "OKBProblemView";
       this.Size = new System.Drawing.Size(706, 393);
@@ -147,9 +143,8 @@
       this.Controls.SetChildIndex(this.cloneProblemButton, 0);
       this.Controls.SetChildIndex(this.problemLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
       this.Controls.SetChildIndex(this.parameterCollectionView, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
       this.Controls.SetChildIndex(this.problemComboBox, 0);
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();