Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Controllers/QueryController.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Controllers/QueryController.cs	(revision 5910)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Controllers/QueryController.cs	(revision 5919)
@@ -11,4 +11,5 @@
 using HLWebPluginHost.Models;
 using HLWebOKBQueryPlugin.OKBQueryService;
+using HLWebOKBQueryPlugin.Helpers;
 
 namespace HLWebOKBQueryPlugin.Controllers
@@ -28,4 +29,7 @@
         public ActionResult Filter()
         {
+            QueryServiceClient client = Query.GetClientFactory();
+
+
             QueryModel qm = new QueryModel();
             Session["SelectedSubMenu"] = "Filter";
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/HLWebOKBQueryPlugin.csproj
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/HLWebOKBQueryPlugin.csproj	(revision 5910)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/HLWebOKBQueryPlugin.csproj	(revision 5919)
@@ -94,4 +94,5 @@
     </Compile>
     <Compile Include="Helpers\HtmlHelpers.cs" />
+    <Compile Include="Helpers\Query.cs" />
     <Compile Include="Models\AccountModels.cs" />
     <Compile Include="Models\QueryModel.cs" />
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Helpers/Query.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Helpers/Query.cs	(revision 5919)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Helpers/Query.cs	(revision 5919)
@@ -0,0 +1,40 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Web;
+using HLWebOKBQueryPlugin.OKBQueryService;
+using System.ServiceModel.Security;
+
+namespace HLWebOKBQueryPlugin.Helpers
+{
+    public class Query
+    {
+        public static QueryServiceClient GetClientFactory() {
+            return GetClientFactory(GetSessionString("Username"), GetSessionString("Password"));
+        }
+
+        public static QueryServiceClient GetClientFactory(string username, string password) {
+            try {
+                QueryServiceClient client = new QueryServiceClient();
+                client.ClientCredentials.UserName.UserName = username;
+                client.ClientCredentials.UserName.Password = password;
+                client.ClientCredentials.ServiceCertificate.Authentication.CertificateValidationMode = X509CertificateValidationMode.None;
+                client.GetFilters();
+                return client;
+            }
+            catch {
+            }
+            return null;
+        }
+
+        public static string GetSessionString(string name) {
+            if (name != null) {
+                object o = HttpContext.Current.Session[name];
+                if (o != null) {
+                    return o.ToString();
+                }
+            }
+            return string.Empty;
+        }
+    }
+}
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Models/QueryModel.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Models/QueryModel.cs	(revision 5910)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Models/QueryModel.cs	(revision 5919)
@@ -6,4 +6,5 @@
 using System.Web.Security;
 using HLWebOKBQueryPlugin.OKBQueryService;
+using HLWebOKBQueryPlugin.Helpers;
 
 namespace HLWebPluginHost.Models {
@@ -12,4 +13,20 @@
        public String SelectedSubMenu { get; set; }
 
+       public IList<Filter> QueryFilterGetAll() {
+           QueryServiceClient client = Query.GetClientFactory();
+
+           IList<Filter> filterList = new List<Filter>();
+
+           if (client != null) {
+               Filter[] filters = client.GetFilters();
+               foreach (Filter f in filters) {
+                   filterList.Add(f);
+
+               }
+           }
+
+           return filterList;
+       }
+
     }
 }
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/Filter.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/Filter.aspx	(revision 5910)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/Filter.aspx	(revision 5919)
@@ -11,5 +11,20 @@
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
 
+    <form id="form1" runat="server">
     <h2>Filter</h2>
 
+    <p>
+        <asp:ListBox ID="lbxQueryFilters" runat="server" DataSourceID="dsQueryFilters" 
+            DataTextField="Label" DataValueField="Label" Height="350px" style="margin-top: 0px" 
+            Width="400px">
+        </asp:ListBox>
+        <asp:ObjectDataSource ID="dsQueryFilters" runat="server" 
+            SelectMethod="QueryFilterGetAll" 
+            TypeName="HLWebPluginHost.Models.QueryModel">
+        </asp:ObjectDataSource>
+        
+
+    </p>
+    </form>
+
 </asp:Content>